## python-django-parler 2.2.1

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django==2.2.13
djangorestframework==3.10.1
sphinxcontrib-django == 0.4

=== debian/changelog ===
python-django-parler (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #999559).

 -- Michael Fladischer <fladi@debian.org>  Thu, 11 Nov 2021 13:03:30 +0000

=== debian/control ===
Source: python-django-parler
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-babel,
 python3-django,
 python3-django-polymorphic,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0.1
Homepage: https://github.com/django-parler/django-parler
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-parler
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-parler.git
Rules-Requires-Root: no

Package: python3-django-parler
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-parler-doc
Description: Django model translations (Python3 version)
 Simple Django model translations without nasty hacks.
 Features:
  * Nice admin integration.
  * Access translated attributes like regular attributes.
  * Automatic fallback to the default language.
  * Separate table for translated fields, compatible with django-hvad.
  * Plays nice with others, compatible with django-polymorphic and django-mptt.
 .
 This package contains the Python 3 version of the library.

Package: python-django-parler-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Django model translations (Documentation)
 Simple Django model translations without nasty hacks.
 Features:
  * Nice admin integration.
  * Access translated attributes like regular attributes.
  * Automatic fallback to the default language.
  * Separate table for translated fields, compatible with django-hvad.
  * Plays nice with others, compatible with django-polymorphic and django-mptt.
 .
 This package contains the documentation.

## python-django-parler 2.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-parler.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-parler.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-parler"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-parler"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/_ext/djangodummy/requirements.txt ===
# for readthedocs
# Remaining requirements are picked up from setup.py
Django==2.2.24
djangorestframework==3.12.4
sphinxcontrib-django == 0.5.1

=== debian/changelog ===
python-django-parler (2.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-parler-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:02:12 +0100

python-django-parler (2.3-2) unstable; urgency=medium

  * Add patch to fix typo in Django settings for documentation (Closes:
    #1009405).
  * Add python-django-doc and python-django-polymorphic-doc to Build-
    Depends, required by intersphinx.

 -- Michael Fladischer <fladi@debian.org>  Sat, 16 Apr 2022 20:40:59 +0000

python-django-parler (2.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Jan 2022 12:43:41 +0000

=== debian/control ===
Source: python-django-parler
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-django-doc,
 python-django-polymorphic-doc,
 python3-all,
 python3-babel,
 python3-django,
 python3-django-polymorphic,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0.1
Homepage: https://github.com/django-parler/django-parler
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-parler
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-parler.git
Rules-Requires-Root: no

Package: python-django-parler-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Django model translations (Documentation)
 Simple Django model translations without nasty hacks.
 Features:
  * Nice admin integration.
  * Access translated attributes like regular attributes.
  * Automatic fallback to the default language.
  * Separate table for translated fields, compatible with django-hvad.
  * Plays nice with others, compatible with django-polymorphic and django-mptt.
 .
 This package contains the documentation.

Package: python3-django-parler
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-parler-doc,
Description: Django model translations (Python3 version)
 Simple Django model translations without nasty hacks.
 Features:
  * Nice admin integration.
  * Access translated attributes like regular attributes.
  * Automatic fallback to the default language.
  * Separate table for translated fields, compatible with django-hvad.
  * Plays nice with others, compatible with django-polymorphic and django-mptt.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-parler

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	set -e; \
	for loc in parler/locale/*; do \
		python3 setup.py compile_catalog --directory parler/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-parler-doc/usr/share/doc/python-django-parler-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="cd {build_dir}; PYTHONPATH=.:example {interpreter} runtests.py"
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean
